<?php

if ( ! @include_once( './mainfile.php' ) ) { exit( '!! INCLUDE ERROR. ACCESS DENIED !!' ); }
error_reporting( _E_VALUE );


/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | myPHPNuke Version 188_8 RC2                                          |
// +----------------------------------------------------------------------+
// | License: GNU/GPL - http://www.gnu.org/copyleft/gpl.html              |
// +----------------------------------------------------------------------+
// | Support: http://myphpnuke.com/                                       |
// +----------------------------------------------------------------------+
// | Author: myPHPNuke Dev Team                                           |
// +----------------------------------------------------------------------+
// | Copyright: © 2001-2004 myPHPNuke Dev Team                            |
// +----------------------------------------------------------------------+
// $Id: bbcode_ref.php,v 1.4.2.3 2004/04/18 12:45:25 ajvwaay Exp $


$title = translate( 'B B C O D E' );

echo $_SERVER['F_LIB'] -> generateSAHeader( 'bbcoderef', 'mpn_forums.css', NULL, $title );

echo '<body>' . "\n";

    echo "<h1>" . translate( 'B B C O D E' ) . "&nbsp;&nbsp;&nbsp;" . translate( 'S Y N T A X' ) . "</h1>";

    echo "<h2>" . translate( 'Current Supported BBCodes' ) . "</h2>\n";

    echo "<p class='center'>" . translate ( 'myPHPnuke 188_8 Revision 1' ) . "</p>\n";

    echo "<hr class='w80' /><br />\n";


    echo "<h3>" . translate( 'URL Hyperlinking' ) . ":</h3>\n";


        echo "<hr class='w40' />\n";

        echo "<ul class='indent15'>\n";

            echo "<li><b>http://myphpnuke.com/</b>  " . translate( 'OR' ) . "  <b>www.myphpnuke.com</b></li>\n";

            echo "<li><b>[uri href=</b>http://myphpnuke.com/<b>]</b>&nbsp;myPHPNuke Support&nbsp;<b>[/uri]</b></li>\n";

        echo "</ul>\n";

        echo "<br />\n";


    echo "<h3>" . translate( 'Email Links' ) . ":</h3>\n";


        echo "<hr class='w40' />\n";

        echo "<ul class='indent15'>\n";

            echo "<li>admin@myphpnuke.com</li>\n";
            echo "<li><b>[uri href=</b>admin@myphpnuke.com<b>]</b>&nbsp;admin@myphpnuke.com&nbsp;<b>[/uri]</b></li>\n";

        echo "</ul>\n";

        echo "<br />\n";


    echo "<h3>" . translate( 'Bold and Italics' ) . ":</h3>\n";


       echo "<hr class='w40' />\n";

        echo "<ul class='indent15'>\n";

           echo "<li><em>" . translate( 'BOLD' ) . ":</em>&nbsp;&nbsp;&nbsp;<b>[b]</b>&nbsp;" . translate( 'Your Text' ) . " <b>[/b]</b></li>\n";

            echo "<li><em>" . translate( 'ITALIC' ) . ":</em>&nbsp;<b>[i]</b>&nbsp;" . translate( 'Your Text' ) . " <b>[/i]</b></li>\n";

        echo "</ul>\n";

        echo "<br />\n";


    echo "<h3>" . translate( 'Ordered and Unordered Lists' ) . ":</h3>\n";


        echo "<hr class='w40' />\n";

        echo "<ul class='indent15'>\n";

            echo "<li><b>[list]</b></li>\n";

            echo "<li>&nbsp;&nbsp;<b>[li]</b>&nbsp;" . translate( 'List Item' ) . "</li>\n";

            echo "<li>&nbsp;&nbsp;<b>[li]</b>&nbsp;" . translate( 'Another List Item' ) . "</li>\n";

            echo "<li><b>[/list]</b></li>\n";

            echo "<br />\n";

        echo "</ul>\n";

        echo "<br />\n";


    echo "<h3>" . translate( 'Linking Images' ) . ":</h3>\n";


        echo "<hr class='w40' />\n";

        echo "<ul class='indent15'>\n";

            echo "<li><b>[img src=</b>http://mysite.com/images/myimage.jpg<b>]</b></li>\n";

        echo "</ul>\n";

        echo "<br />\n";


    echo "<h3>" . translate( 'Quote A Block Of Text' ) . ":</h3>\n";


        echo "<hr class='w40' />\n";

        echo "<ul class='indent15'>\n";

            echo "<li class='empty'><b>[quote]</b>&nbsp;" . translate( 'Persons Text You Are Quoting' ) . "&nbsp;<b>[/quote]</b></li>\n";

        echo "</ul>\n";

        echo "<br />\n";


    echo "<h3>" . translate( 'Insert A Code Fragment' ) . ":</h3>\n";


        echo "<hr class='w40' />\n";

        echo "<ul class='indent15'>\n";

            echo "<li><b>[code]</b>&nbsp;" . translate( 'Code Your Posting' ) . "&nbsp;<b>[/code]</b></li>\n";

        echo "</ul>\n";

        echo "<br />\n";


    echo "<h3>" . translate( 'Things To Avoid When Using BBCODE' ) . "</h3>\n";


        echo "<hr class='w40' />\n";

        echo "<p class='indent15'>\n";

            echo translate( 'As of version 188_8, ALL code must be entered inside of bbcode code tags in order to be displayed properly.' ) . '<br />' . translate( 'Alternatively you can use the extrans format option which acts on the entire body of the post' ) . '.' . "\n";

        echo "</p>\n";

    echo "<br /><br /><br />\n";

echo '</body>' . "\n";
echo '</html>';

?>
